Bug 176669 - X has trouble with two pointers
X has trouble with two pointers
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-29 05:24 EST by Bojan Smojver
Modified: 2015-01-04 17:23 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 12:56:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X configuration (3.03 KB, text/plain)
2005-12-29 05:26 EST, Bojan Smojver
no flags Details
X log file on failure (34.25 KB, text/plain)
2005-12-29 05:26 EST, Bojan Smojver
no flags Details
lspci -vv output (5.77 KB, text/plain)
2005-12-29 05:27 EST, Bojan Smojver
no flags Details
X log file on success (35.26 KB, text/plain)
2005-12-29 05:30 EST, Bojan Smojver
no flags Details

  None (edit)
Description Bojan Smojver 2005-12-29 05:24:49 EST
Description of problem:
Have two pointers configured, Synaptics touchpad (primary) and PS/2 mouse. If X
started with PS/2 mouse plugged in, it complains that there is no core pointer.
However, once the mouse is unplugged, X starts fine and once the mouse is
plugged in, it can be used as well (alongside touchpad).

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.0.0-3

How reproducible:
Always.

Steps to Reproduce:
1. Attempt to start X with both touchpad and PS/2 mouse.
  
Actual results:
X fails to start.


Expected results:
X should be able to determine that there is touchpad present.


Additional info:
If instead of CorePointer for touchpad, option SendCoreEvents is used, X
actually starts. However, when mouse is disconnected, X confuses the touchpad
for the PS/2 mouse and all touchpad specific functions are gone (i.e. the
touchpad runs in very primitive mode).

Full hardware specs here:

http://www.rexursive.com/articles/linuxonhpze4201.html
Comment 1 Bojan Smojver 2005-12-29 05:26:06 EST
Created attachment 122619 [details]
X configuration
Comment 2 Bojan Smojver 2005-12-29 05:26:42 EST
Created attachment 122620 [details]
X log file on failure
Comment 3 Bojan Smojver 2005-12-29 05:27:30 EST
Created attachment 122621 [details]
lspci -vv output
Comment 4 Bojan Smojver 2005-12-29 05:30:35 EST
Created attachment 122622 [details]
X log file on success
Comment 5 Bojan Smojver 2005-12-29 05:32:23 EST
BTW, on boot, this can be seen in dmesg:

Synaptics Touchpad, model: 1, fw: 5.8, id: 0x2348b3, caps: 0x904713/0x10008
input: SynPS/2 Synaptics TouchPad as /class/input/input1

So, the thing is actually there.
Comment 6 Andy Burns 2006-01-05 20:56:13 EST
Just an extra data point ... on my machine I have a ps/2 connected wireless
trackball and a usb connected wireless mouse, both work properly without having
to manually configure anything.
Comment 7 Bojan Smojver 2006-01-05 21:58:27 EST
In regards to comment #6: these two are most likely using the same driver and
protocol. Not the case with my notebook. Without having synaptics driver, most
advanced features of the touchpad are unavailable (i.e. it behaves like a PS/2
mouse, which make the touchpad action quite lame).
Comment 8 Mike A. Harris 2006-01-31 20:17:32 EST
The X server mandatorily requires that a core pointer be configured, and
that that core pointer must be plugged in and ready to be used when the
X server starts.

Additional pointers can be configured as well, which can generate core
events, which is the normal mechanism used to handle multiple input
devices as if they were one.

In your case, the synaptics is configured as "core", and the mouse is
configured to send core events.

From the "failed" log above:

(II) Synaptics touchpad driver version 0.14.4 (1404)
Mouse0 no synaptics event device found (checked 12 nodes)
(**) Option "Device" "/dev/input/mice"
(**) Option "SHMConfig" "on"
Query no Synaptics: 6003C8
(EE) Mouse0 no synaptics touchpad detected and no repeater device
(EE) Mouse0 Unable to query/initialize Synaptics hardware.
(EE) PreInit failed for input device "Mouse0"
(II) UnloadModule: "synaptics"

The "synaptics" driver is unable to detect a synaptics pad it seems.  That
is likely a bug in the synaptics driver itself, or in the kernel side driver.

Please upgrade to the latest Fedora devel packages of everything including
the kernel, etc. and see if the problem still manifests.

Reassigning to "synaptics" package for reproduction testing and
further diagnosis.
Comment 9 Bojan Smojver 2006-01-31 20:20:49 EST
Yes, it still happens with yesterday's Rawhide (kernel is 1884).
Comment 10 Bojan Smojver 2006-02-01 07:26:07 EST
It looks like it's a kernel problem. Here is with the mouse attached
(touchpad is still on an working under X):

---------------------------
I: Bus=0011 Vendor=0001 Product=0001 Version=ab41
N: Name="AT Translated Set 2 keyboard"
P: Phys=isa0060/serio0/input0
S: Sysfs=/class/input/input0
H: Handlers=kbd event0 
B: EV=120013
B: KEY=4 2000078 3802078 f840d001 f2ffffdf ffefffff ffffffff fffffffe
B: MSC=10
B: LED=7

I: Bus=0011 Vendor=0002 Product=0005 Version=0000
N: Name="ImPS/2 Generic Wheel Mouse"
P: Phys=isa0060/serio1/input0
S: Sysfs=/class/input/input6
H: Handlers=mouse0 event2 
B: EV=7
B: KEY=70000 0 0 0 0 0 0 0 0
B: REL=103
---------------------------

And then I pull out the mouse and I get:

---------------------------
I: Bus=0011 Vendor=0001 Product=0001 Version=ab41
N: Name="AT Translated Set 2 keyboard"
P: Phys=isa0060/serio0/input0
S: Sysfs=/class/input/input0
H: Handlers=kbd event0 
B: EV=120013
B: KEY=4 2000078 3802078 f840d001 f2ffffdf ffefffff ffffffff fffffffe
B: MSC=10
B: LED=7

I: Bus=0011 Vendor=0002 Product=0007 Version=0000
N: Name="SynPS/2 Synaptics TouchPad"
P: Phys=isa0060/serio1/input0
S: Sysfs=/class/input/input7
H: Handlers=mouse0 event2 
B: EV=b
B: KEY=6420 0 70000 0 0 0 0 0 0 0 0
B: ABS=11000003
---------------------------

So, I'm guessing on X startup, X can't see the touchpad, which is the
CorePointer, and gives up. If, however, the mouse isn't attached, the
touchpad is detected and X starts. If the mouse is then attached, it
works in X, because X loads the driver anyway.

I'm not sure about crashing though (bug #176672), but somewhere along the way,
possibly after suspend, the CorePointer goes away in X again (maybe the
X drivers are attempting to detect the kernel hardware) and X crashes.
Not sure, but it doesn't happen straight after resume - it takes a while after
that to crash...
Comment 11 Bojan Smojver 2006-02-01 07:31:41 EST
Sorry, maybe I wasn't clear - I would expect both the touchpad and the mouse to
be visible by the kernel when both are attached. However, when I plug in the
mouse, the touchpad goes away. They are marked as both being active in BIOS and
they do work together in X, as long as mouse is disconnected when X stars.
Comment 12 Paul Nasrat 2006-02-01 07:46:07 EST
Indeed it's a kernel issue - if synaptics driver can't find the device (if it's
not in /proc/bus/input/devices.  Please attach dmesg of machine both with and
without the mouse attached.
Comment 13 Bojan Smojver 2006-02-02 12:46:05 EST
Here is /proc/bus/input/devices when I attach a USB mouse:

----------------------------
I: Bus=0011 Vendor=0001 Product=0001 Version=ab41
N: Name="AT Translated Set 2 keyboard"
P: Phys=isa0060/serio0/input0
S: Sysfs=/class/input/input0
H: Handlers=kbd event0 
B: EV=120013
B: KEY=4 2000078 3802078 f840d001 f2ffffdf ffefffff ffffffff fffffffe
B: MSC=10
B: LED=7

I: Bus=0011 Vendor=0002 Product=0007 Version=0000
N: Name="SynPS/2 Synaptics TouchPad"
P: Phys=isa0060/serio1/input0
S: Sysfs=/class/input/input1
H: Handlers=mouse0 event1 
B: EV=b
B: KEY=6420 0 70000 0 0 0 0 0 0 0 0
B: ABS=11000003

I: Bus=0003 Vendor=04b4 Product=0001 Version=0490
N: Name="Adomax  Sem. USB Mouse"
P: Phys=usb-0000:00:02.0-1/input0
S: Sysfs=/class/input/input4
H: Handlers=mouse1 event2 
B: EV=7
B: KEY=70000 0 0 0 0 0 0 0 0
B: REL=143
----------------------------

In other words, both the mouse and the touchpad are seen properly. X starts with
both connected just fine.

Basically, if X is able to see both the PS/2 mouse and the touchpad (after I get
in with the mouse disconnected and then connect the mouse), kernel should be
able to do the same. Right?
Comment 14 Bojan Smojver 2006-03-06 16:57:46 EST
Switched to USB mouse to get rid of the problem.
Comment 15 Bojan Smojver 2006-03-06 18:56:16 EST
Apparently, I'm not allowed to mark thing DEFERRED...
Comment 16 Dave Jones 2006-10-16 15:58:46 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 17 Bojan Smojver 2006-10-16 17:22:38 EDT
This is box is now running development code (i.e. FC6). I'll check it and see
what works and what doesn't.
Comment 18 Dave Jones 2006-10-16 17:28:58 EDT
This update is actually 99% the same as the kernel in FC6, so if things are
working there, they should be ok in FC5 (Unless there are non-kernel related
problems).
Comment 19 Bojan Smojver 2006-10-17 19:42:21 EDT
FC6 kernel (2.6.18-1.2798.fc6) and FC6 X11 sever (1.1.1-47.fc6) seem to be
observing the same problems, as described in the original report (the machine is
now a fully up-to-date development, as of 18 Oct 2006).
Comment 20 petrosyan 2008-03-10 19:51:47 EDT
Fedora Core 6 is no longer maintained. Is this bug still present in Fedora 7 or
Fedora 8?
Comment 21 Bojan Smojver 2008-03-10 21:11:58 EDT
I don't know. The hardware that used to give me grief with this no longer works.
Comment 22 Bug Zapper 2008-04-03 22:05:36 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 23 Bojan Smojver 2008-04-03 23:35:03 EDT
Feel free to close this bug.

Note You need to log in before you can comment on or make changes to this bug.